package x64

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
)

// AddRegisterNumber adds a number to the given register.
func AddRegisterNumber(code []byte, destination cpu.Register, number int) []byte {
	return regRegNum(code, 0, byte(destination), number, 0x83, 0x81)
}

// AddRegisterRegister adds a register value into another register.
func AddRegisterRegister(code []byte, destination cpu.Register, operand cpu.Register) []byte {
	return regReg(code, byte(operand), byte(destination), 0x01)
}
